
public class Employee
{
    private String name;
    private int AFM;

    public Employee( )
    {
		name = "No name";
		AFM = 0;
    }

    public Employee(String theName, int theAFM)
    {
        if (theName == null || theAFM <= 0)
        {
             System.out.println("Fatal Error creating employee.");
             System.exit(0);
        }
        name = theName;
        AFM = theAFM; 
    }

    public Employee(Employee originalObject)
    {
         name = originalObject.name;
         AFM = originalObject.AFM;
    }

    public String getName( )
    {
        return name;
    }

    public int getAFM( )
    {
        return AFM;
    }

    public void setName(String newName)
    {
        if (newName == null)
        {
             System.out.println("Fatal Error setting employee name.");
             System.exit(0);
        }
       else
            name = newName;
    }

    public void setHireDate(int newAFM)
    {
        if (newAFM <= 0)
        {
             System.out.println("Fatal Error setting employee hire date.");
             System.exit(0);
        }
        else
            AFM = newAFM;
    }


    public String toString( )
    {
        return (name + " " + AFM);
    }


    public boolean equals(Employee otherEmployee)
    {
        return (name.equals(otherEmployee.name) && (AFM == otherEmployee.AFM));
    }
}

